/*
 * ImageDialog.java
 *
 * Copyright (C) 2012 Christian Mayer
 *
 * This file is part of CellXGui
 *
 */

/*
 * ImageDialog.java
 *
 * Created on Feb 2, 2012, 12:24:02 PM
 */
package cellxgui.view;

import java.awt.image.BufferedImage;

/**
 *
 * @author Christian Mayer <chrixian.mayer@gmail.com>
 */
public class ImageDialog extends javax.swing.JDialog {

    /** Creates new form ImageDialog */
    public ImageDialog(java.awt.Frame parent, boolean modal, BufferedImage img) {
        super(parent, modal);
        initComponents();
        final ImagePanel ip = new ImagePanel(img);
        ip.initMouse();
        this.add(ip);
        this.setSize(600, 400);
        pack();

    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        getContentPane().setLayout(new javax.swing.BoxLayout(getContentPane(), javax.swing.BoxLayout.LINE_AXIS));

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables
}
